Edit machine translate settings per language
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettingsPerLanguage \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"mtSettingsPerLangList": [
{
"targetLang": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettingsPerLanguage"
payload = { "mtSettingsPerLangList": [{ "targetLang": "<string>" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mtSettingsPerLangList: [{targetLang: '<string>'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettingsPerLanguage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Project
Edit machine translate settings per language
This will erase mtSettings for project
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
mtSettingsPerLanguage
Edit machine translate settings per language
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
MT settings per language to apply
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I